You are here

Upgrade Twiki

Project ID: 
121
Current stage: 
Manager: 
What: 

Description: This project concerns the upgrading of the School's Twiki installation to a more modern version

Deliverables: A fully supported installation of Twiki running an up-to-date version of the software

Why: 

Customer: All Twiki users

Case statement: Our current version of Twiki dates from 2004 and desirable features such as security patches may soon be unavailable. Why not simply move to using the central University wiki server? Our wiki installation still offers a number of features - particularly in the areas of authorisation and authentication - which the central wiki does not offer. This project also has scope as a good PDP project.

When: 

Status: Installed latest release (4.3.1) on wiki.inf, applied patches (for BlueSkin, iFriend, TWikiCapabilities, &c), then migrated webs and commissioned new version. Checked upgraded version worked as expected and required.

Timescales:

Priority:

Time:

How: 

Proposal:

Resources: A suitable server, real or virtual.

Plan: Investigate requirements based on current version.
Install latest version on test server.
Populate from existing service.
Test (especially iFriend access).
Install on live server alongside existing version.
Populate from existing service.
Test.
Retire current version and enable new version.
Check new version is functioning as required, tailor/tweak if/as necessary.

Other: 

Dependencies: None

Risks:

Milestones

Proposed date Achieved date Name Description
2009-05-22 2009-05-05 Stage 3.0 Install & test 4.3.1 on test server
2009-05-25 2009-05-05 Access control Re-implement roles & capabilities for access control
2009-05-25 2009-05-25 blueskin Install BlueSkin and check current compatibility (BlueSkin is OLD).
2009-06-15 server install Install 4.3.1 on current server, wiki.inf (should be no surprises, checked OK on test server).
2009-06-22 commission copy existing data, disable existing version and enable 4.3.1 as default for wiki.inf
2009-05-18 2009-05-25 ifriend Check iFriend access under 4.3.1
2009-07-03 live check test & confirm that new version runs as required